LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (https://www.linuxquestions.org/questions/linux-software-2/)
-   -   Plz Help, Can't install a SINGLE THING! (https://www.linuxquestions.org/questions/linux-software-2/plz-help-cant-install-a-single-thing-280571/)

henry_huckem 01-21-2005 01:17 PM

Plz Help, Can't install a SINGLE THING!
 
Mandrakelinux 10.1

Hi all, got my CD3 to install, that was nice, but since then I havent had much success with ANYTHING.. I am trying to install madwifi (for that matter I wouldnt mind being ABLE to install XSolitaire) I can get the tarball undone and extract it to a directory I have just been keeping on my desktop. When I try to run the 'make' file, all I get whenever the program tries to reference whatever it is that it references to compile the source code, all I get is a screen of errors (there are so many I cant even remember them, but I will list some if it helps, i just dont feel like booting linux at the moment :jawa: )

Am I not extracting the files to the right place? Do I need to modify the 'Path' settting? (and is it similar to an MS-DOS path?)

can anyone help me out??? TIA.

/\/\att:Pengy:

foo_bar_foo 01-21-2005 01:30 PM

You just have to take it one error at a time so post error messages.

henry_huckem 01-21-2005 01:34 PM

thanks for your reply. one more question.... Where can I get these? I can remember when I was installing that I clicked on the option to install the developer tools in the base install?? I dont know, maybe I'm crazy, but I thought I had these. Any way to check and see if I do? And if I dont have these tools where can I find them? thanks again.

henry_huckem 01-21-2005 08:27 PM

ok, here'es the only error I get when I type ./configure


checking for sdl-config...
no
checking for SDL - version >= 1.2.0...
no
*** The sdl-config script installed by SDL could not be found
*** If SDL was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the SDL_CONFIG environment variable to the
*** full path to sdl-config.
configure: error: SDL not found - use the --with-sdl-* options

does that help?
:newbie:

bcf2 01-21-2005 09:01 PM

it means that you need to find a version of the program sdl-config whose version is greater than 1.2.0 before you can install whatever program that is.


All times are GMT -5. The time now is 08:14 AM.